MimeHeaders (Axis API)
Keywords: org.apache.axis.message.MimeHeaders class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.message
Class MimeHeaders

    java.lang.Object
      javax.xml.soap.MimeHeaders
          org.apache.axis.message.MimeHeaders

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

public class MimeHeaders
extends MimeHeaders
implements java.io.Externalizable

wraps javax.xml.soap.MimeHeaders and implements java.io.Serializable interface

See Also:
  Serialized Form

Constructor Summary
`MimeHeaders()`
`MimeHeaders(MimeHeaders h)`

Method Summary
`void` | `readExternal(java.io.ObjectInput in)`
`void` | `writeExternal(java.io.ObjectOutput out)`

Methods inherited from class javax.xml.soap.MimeHeaders
`addHeader, getAllHeaders, getHeader, getMatchingHeaders, getNonMatchingHeaders, removeAllHeaders, removeHeader, setHeader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MimeHeaders

    public MimeHeaders()

### MimeHeaders

    public MimeHeaders(MimeHeaders h)

Method Detail

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.